Skip to main content
GET
List fundraising stewardship Work

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Query Parameters

acknowledgement_work_scope
enum<string> | null

Acknowledgement work scope. Validation: nullable; allowed values: active, historical, all.

Available options:
active,
historical,
all,
null
fundraiser_user_id
string | null

Relationship-manager id, all or unassigned; scoped by donor visibility.

Maximum string length: 64
group_by_household
boolean | null

Boolean-like query input; true/false and numeric forms are normalized by this workflow.

search
string | null

Search. Validation: nullable, string, max:255.

Maximum string length: 255
date_from
string<date-time> | null

Date from. Validation: nullable, date.

date_to
string<date-time> | null

Date to. Validation: nullable, date.

state
string | null

State. Validation: nullable, string, max:64.

Maximum string length: 64
comparison_mode
string | null

Comparison mode. Validation: nullable, string, max:64.

Maximum string length: 64
current_start
string<date-time> | null

Current start. Validation: nullable, date.

current_end
string<date-time> | null

Current end. Validation: nullable, date.

comparison_start
string<date-time> | null

Comparison start. Validation: nullable, date.

comparison_end
string<date-time> | null

Comparison end. Validation: nullable, date.

refresh
boolean | null

Boolean-like query input; true/false and numeric forms are normalized by this workflow.

page
integer | null

Page. Validation: nullable, integer, min:1.

Required range: x >= 1
per_page
integer | null

Per page. Validation: nullable, integer, min:10, max:100.

Required range: 10 <= x <= 100
work_item_type
string | null

Work item type. Validation: nullable, string, max:64.

Maximum string length: 64
status
string | null

Status. Validation: nullable, string, max:64.

Maximum string length: 64
source_type
string | null

Source type. Validation: nullable, string, max:64.

Maximum string length: 64
owner_user_id
string | null

Owner user id. Validation: nullable, string, max:64.

Maximum string length: 64
donor_id
integer | null

Donor id. Validation: nullable, integer.

due_from
string<date-time> | null

Due from. Validation: nullable, date.

due_to
string<date-time> | null

Due to. Validation: nullable, date.

Response

Operation result.

status
string
Example:

"success"

data
object